### Function

# FwupdPlugin memory_input_stream_new

since: 2.1.7

#### Declaration [src]

    FuInputStream*
    fu_memory_input_stream_new (
      void
    )

#### Description [src]

Creates a new empty memory-backed input stream.

Available since: 2.1.7

#### Return value

Type: `FuInputStream`

A `FuInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.